=== debian/rules ===
#!/usr/bin/make -f
# This file is PUBLIC DOMAIN. 

DEB_TAR_SRCDIR := src
#DEB_BUILDDIR = $(DEB_SRCDIR)/build

clean::
	cat debian/control.in \
	| sed "s/@arches@/`type-handling i386,powerpc any`/g" \
	> debian/control

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
