## grub2 1.98-2jolicloud4

=== debian/changelog ===
grub2 (1.98-2jolicloud4) robby; urgency=low

  * Adjust timeout even when there are foreign OSes installed

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Fri, 15 Oct 2010 13:22:55 +0200

grub2 (1.98-2jolicloud3) robby; urgency=low

  * FIXME: wubildr seems to ignore the keystatus.mod whatever I try, so
    remove it from 30_os-prober.in

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Fri, 15 Oct 2010 11:24:29 +0200

grub2 (1.98-2jolicloud2) robby; urgency=low

  * Removed "vt.global_cursor_default=0" from default/grub; this option
    is now the default in linux kernel 2.6.35.4-1.38
  * If GRUB was installed in OEM mode, default to not using UUIDs since this
    will confuse clones of an installed image when cloned across multiple
    devices.

 -- Adam McDaniel <adam@jolicloud.org>  Thu, 07 Oct 2010 18:59:33 -0600

grub2 (1.98-2jolicloud1) robby; urgency=low

  * Disable the cursor early in grub, and at the end when the kernel
    loads.

 -- Adam McDaniel <adam@jolicloud.org>  Thu, 23 Sep 2010 00:54:46 -0600

grub2 (1.98-1ubuntu7) lucid-proposed; urgency=low

  * Update harmfully incorrect German translation of menu legend, which
    omitted mention of pressing Ctrl-x to boot (LP: #580178).
  * Rearrange postinst install_devices logic so that preparatory code is run
    only once and the while loop only encloses actual asking of questions,
    and so that the question being asked is always marked for redisplay when
    going round the while loop again (LP: #580408).
  * Only offer partitions containing /, /boot, or /boot/grub for
    grub-install; installing to other partitions may have harmful effects
    such as making Windows unbootable, and installing GRUB to every single
    partition is likely to result in confusion anyway (LP: #576724).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Jun 2010 14:37:47 +0100

grub2 (1.98-1ubuntu6) lucid-proposed; urgency=low

  * When migrating from the old grub-pc/install_devices scheme, check if the
    old value indicated installation to a single partition on a single disk.
    In that case, if there is only one disk present and it has a matching
    partition number, then we can install to that partition without asking
    (LP: #508173).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Apr 2010 15:48:02 +0100

grub2 (1.98-1ubuntu5) lucid; urgency=low

  * Enclose all translated strings in grub.cfg in single quotes, and escape
    them appropriately (LP: #552921).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Apr 2010 14:29:45 +0100

grub2 (1.98-1ubuntu4) lucid; urgency=low

  * Only use the first word of GRUB_DISTRIBUTOR for --class, to avoid
    problems if somebody puts spaces in GRUB_DISTRIBUTOR (LP: #557606).
  * Probe all devices in 'grub-probe --target=drive' if
    /boot/grub/device.map is missing (LP: #549980).
  * Adjust hostdisk id for hard disks, allowing grub-setup to use its
    standard workaround for broken BIOSes (thanks to TJ for detailed
    investigation; LP: #555500).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Apr 2010 09:46:44 +0100

grub2 (1.98-1ubuntu3) lucid; urgency=low

  * Make sure GRUB_TIMEOUT isn't quoted unnecessarily (LP: #544890).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Mar 2010 10:23:42 +0100

grub2 (1.98-1ubuntu2) lucid; urgency=low

  * Fix LVM/RAID probing in the absence of /boot/grub/device.map
    (LP: #525085, #527401).
  * Backport my upstream patch to copy .mo files from /usr/share/locale to
    match where 'make install' puts them (LP: #537998).
  * Look for .mo files in /usr/share/locale-langpack as well, in preference
    (LP: #537998).
  * Don't generate /boot/grub/device.map during grub-mkconfig (we already
    suppressed it during grub-install, but then grub-mkconfig generated it
    shortly afterwards, producing confusing results).
  * Don't run /etc/grub.d/README, even if it somehow ended up being
    executable (LP: #537123).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Mar 2010 19:57:10 +0000

grub2 (1.98-1ubuntu1) lucid; urgency=low

  * Resynchronise with Debian (bug-fixes relative to previous snapshot
    release).  Remaining changes:
    - Adjust for default Ubuntu boot options ("quiet splash").
    - Default to hiding the menu; holding down Shift at boot will show it.
    - Set a monochromatic theme for Ubuntu.
    - Apply Ubuntu GRUB Legacy changes to legacy update-grub script: title,
      recovery mode, quiet option, tweak how memtest86+ is displayed, and
      use UUIDs where appropriate.
    - Conflict with grub (<< 0.97-54) as well as grub-legacy.
    - Fix backslash-escaping in merge_debconf_into_conf.
    - Remove "GNU/Linux" from default distributor string.
    - Add crashkernel= options if kdump and makedumpfile are available.
    - If other operating systems are installed, then automatically unhide
      the menu. Otherwise, if GRUB_HIDDEN_TIMEOUT is 0, then use keystatus
      if available to check whether Shift is pressed. If it is, show the
      menu, otherwise boot immediately. If keystatus is not available, then
      fall back to a short delay interruptible with Escape.
    - Allow Shift to interrupt 'sleep --interruptible'.
    - Don't display introductory message about line editing unless we're
      actually offering a shell prompt. Don't clear the screen just before
      booting if we never drew the menu in the first place.
    - Remove some verbose messages printed before reading the configuration
      file.
    - Suppress progress messages as the kernel and initrd load for
      non-recovery kernel menu entries.
    - Keep the loopback file open so that subsequent changes to the "root"
      environment variable don't affect it.
    - Change prepare_grub_to_access_device to handle filesystems
      loop-mounted on file images.
    - Ignore devices loop-mounted from files in 10_linux.
    - Show the boot menu if the previous boot failed, that is if it failed
      to get to the end of one of the normal runlevels.

